Page MenuHomePhabricator

Fix Special:Export
Closed, ResolvedPublic

Description

  • Input should be inline
  • Add button should be progressive
  • Checkboxes should be styled
  • Export button should be constructive

Details

Reference
bz71434

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz71434.
bzimport added a subscriber: Unknown Object (MLST).

Parts of this got fixed with bug 71526 - checkboxes are now styled

Textarea should also be mw-ui-input

  • Bug 73152 has been marked as a duplicate of this bug. ***

We should probably restore the border for all textareas in reset.less. I can't think of any cases in which a textarea should not have a border.

Sorry, I thought this was a MobileFrontend bug. Nevermind.

Prtksxna updated the task description. (Show Details)Dec 3 2014, 11:29 AM
Prtksxna triaged this task as Normal priority.
Prtksxna set Security to None.
Florian claimed this task.Apr 14 2015, 5:22 AM

Change 204805 had a related patch set uploaded (by Florianschmidtwelzow):
Use HTMLForm for Special:Export

https://gerrit.wikimedia.org/r/204805

With the patch above, and old $wgUseMediaWikiUIEverywhere:

Change 204805 merged by jenkins-bot:
Use HTMLForm for Special:Export

https://gerrit.wikimedia.org/r/204805

Jdforrester-WMF closed this task as Resolved.Jun 18 2015, 5:28 PM